/* $Id: e2_ownership_dialog.h 1192 2005-09-25 11:30:27Z tpgww $
 * 
 * Copyright (C) 2004-2005 tooar <tooar@gmx.net>
 * 
 * This file is part of emelFM2.
 * emelFM2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelFM2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file GPL. If not, contact the Free Software
 * Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef E2_OWNERSHIP_DIALOG_H
#define E2_OWNERSHIP_DIALOG_H

#include "emelfm2.h"

// the maxiimum number of membership groups that a user may see
#define REPORTABLE_GROUPS 25
// the lowest alternate UID available to non-root users
#define UID_LOWLIMIT 500

void e2_ownership_dialog_warn (GtkWidget *box);
GtkWidget *e2_ownership_dialog_setup (E2_SelectedItemInfo *info, 
	uid_t *owner_ret, gid_t *group_ret,
	gboolean *recurse_ret, gboolean *permission_ret, gboolean multisrc);

#endif // ndef E2_OWNERSHIP_DIALOG_H
