/* $Id: e2_permissions_dialog.h 1192 2005-09-25 11:30:27Z tpgww $
 * 
 * Copyright (C) 2004-2005 tooar <tooar@gmx.net>
 * 
 * This file is part of emelFM2.
 * emelFM2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelFM2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file GPL. If not, contact the Free Software
 * Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef E2_PERMISSIONS_DIALOG_H
#define E2_PERMISSIONS_DIALOG_H

#include "emelfm2.h"
#include "e2_fileview.h"

typedef enum
{
	E2_RECURSE_NONE = 0,
	E2_RECURSE_DIRS = 1,
	E2_RECURSE_OTHER = 1 << 2,
	E2_RECURSE_ALL = 1 << 3
} E2_RecurseType;

GtkWidget *e2_permissions_dialog_setup (E2_SelectedItemInfo *info,
	E2_RecurseType *recurse_ret, gboolean *permission_ret, GString **mode_ret,
	gboolean multi);

#endif /* ifndef E2_PERMISSIONS_DIALOG_H */
